
/*
------- CHANGELOG --------------------------------------------------------------

	2007-04-03  Kim A. Brandt  <kimabrandt@gmx.de>
	* 8227.user.js (TAGS): Removed iframe tag. Added the more reasonable
	tags area, base, form and link.
	(main, setTarget): Added functions.
	(setTarget): When encountering the target-values _parent, _self or _top
	nothing will happen.
	(main): Added . to the expression to address the current node
	(document.body).

	2007-09-16  Kim A. Brandt  <kimabrandt@gmx.de>
	* 8227.user.js (TAGS): Rewriting the TAGS variable into a expression.

------- COMMENTS ---------------------------------------------------------------

	<b>This script is redundant since you can easily set Firefox to open
	`target' links in the same window:</b>

		Enter <a href="about:config">about:config</a> in the URL bar.
		Filter: browser.link.open_newwindow
		Set value: 1 (or anything else), In the current tab or window
*/

function main()
{
	var elements = document.evaluate(".//a[@target] | .//area[@target] | .//base[@target] | .//form[@target] | .//link[@target]", document.body, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
	if (elements) for (var i = 0; i < elements.snapshotLength; i++) setTarget(elements.snapshotItem(i));
}

function setTarget(element)
{
	var attribute = element.getAttribute("target");
	switch (attribute)
	{
		case "_parent":
		case "_self":
		case "_top":
			return;
		default: // _blank VALUE AND OTHERS
			element.setAttribute("target", "_self"); // SET TARGET
	}
}

main();
